Subject: bug#51841: 27.2; erc-insert-marker has no value

From: Rostislav Svoboda <[email-masked]>
Date: Mon, 15 Nov 2021 13:12:24 +0100

> > I started erc with:
> >     erc-fill-function 'erc-fill-static
> >     erc-fill-static-center 20
> > and realized that empty space of 20 chars is too much. So I ran `(setq
> > erc-fill-static-center 15)` only to see no change.
>
> Hm, does "no change" refer to future output? If so, then we may have an
> actual bug because that definitely should be affected [2], right?
>
> > (That doesn't activate the change either, but that's another story,
> > though :)
>
> But by "activate" (and also from your other comments), I'm starting to
> think you mean not only for subsequent output but for all prior output
> as well. What I mean is, are you expecting the buffer to be refilled
> according to the updated value? If so, ERC doesn't support that (though
> I think Circe might). If that's what you're after, that would make a
> good feature request. We could even change the title of this to
> something like "Support dynamic refilling of ERC buffers". (Or just open
> a new bug.)

Yes that would be the ultimate goal.

Until then it would be enough just to provide some information (e.g.
in the variable documentation) like "Requires restart" or "Do this
when changed, to see the effect".

> [2] (Spoiler alert: could not reproduce)
>
>     https://jpneverwas.gitlab.io/-/erc-tools/-/jobs/1782289657/artifacts/logs/51841/dynamic-fill/replay.html

That's a lovely animation. BTW the links behind "Info", "Recipe",
"Camera", i.e. the "View raw" stuff, don't work. (However the links
behind those little icons - the "View in forge" do work.)

Thanks

Bost